[v-cloak]{
    display: none !important;
}

#app{
    
    overflow: hidden;
    overflow-y: auto;
    width: 100vw;
    height: calc(100vh - 5em);
}

.search_container {
    margin: 0 auto;
    display: grid;
    align-items: center;
    justify-content: start;
    width: 100%;
    background: #f8f8f8;
    padding: 5em 15% 0;
    position: sticky;
    top: 0;
    grid-template-areas:
        "a b"
        "c c";
    box-shadow: 0 0 5px var(--el-border-color-darker);
    margin-bottom: 4em;
    z-index: 2;
}

.search_container>span {
    font-size: 2em;
    grid-area: a;
}

.search_input {
    display: flex;
    align-items: center;
    margin-left: 1em;
    border: 1px solid var(--el-border-color-darker);
    grid-area: b;
}

.search_input>input {
    outline: none;
    border: none;
    width: 30em;
    height: 2em;
    box-sizing: border-box;
    padding: 0 1em;
    font-size: 2em;
}

.search_input>svg {
    width: 8em;
    height: 4em;
    background: var(--el-border-color-darker);
    padding: 0.8em 1em;
    box-sizing: border-box;
    cursor: pointer;
}

.search_input path {
    fill: var(--el-text-color-primary);
}

.search_types {
    display: flex;
    grid-area: c;
    font-size: 1.8em;
    margin-top: 2em;
}

.search_type {
    margin-right: 2em;
    cursor: pointer;
    height: 1.8em;
    color: var(--el-disabled-text-color);
}

.search_type_active {
    border-bottom: 2px solid;
    color: #000;
}

.search_not_resource {
    width: 100vw;
    height: 60vh;
    font-size: 5em;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--el-border-color-darker);
}

.search_resources {
    width: 100vw;
    min-height: 60vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.search_resource {
    width: 70%;
    margin-bottom: 4em;
}

.search_resource:hover .search_resource_title{
    text-decoration: underline;
}

.search_resource_title {
    font-size: 2em;
    margin-bottom: 0.5em;
    color: var(--el-color-primary);
}

.search_resource_content {
    font-size: 1.6em;
    line-height: 1.5;
    color: var(--el-text-color-regular);
    word-break: break-word;
}

.search_resource_content>b {
    color: #000;
}

.search_resource_type {
    font-size: 1.5em;
    margin-top: 0.8em;
    color: var(--el-text-color-regular);
}

.pagination {
    width: 100%;
    display: flex;
    justify-content: center;
}

.search_resources_model {
    display: grid;
    grid-template-columns: repeat(4, 25%);
    width: 70%;
    margin-left: 15%;
}

.project {
    width: 95%;
    margin-bottom: 2em;
    position: relative;
    overflow: hidden;
    box-shadow: 0 0 10px var(--el-border-color-darker);

    .project_detials {
        display: flex;
        align-items: center;
        justify-content: space-between;
        box-sizing: border-box;
        padding: 1em 0.5em;

        .project_name {
            width: 100%;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        .project_info {
            display: flex;
            align-items: center;

            .project_info_item {
                display: flex;
                align-items: center;
                margin-left: 1.5em;
                color: var(--el-text-color-regular);

                svg {
                    width: 1.5em;
                    height: 1.5em;
                    margin-right: 0.5em;
                    
                    path{
                        fill: var(--el-text-color-regular);
                    }
                }
            }
        }
    }
}

.project img {
    width: 100%;
    height: calc(70vw / 4* .95 / 1.5);
    display: block;
    object-fit: contain !important;
}

.rotation_image {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    width: 1500% !important;
    opacity: 0;
    pointer-events: none;
    transition: opacity .2s;
    object-fit: unset !important;
}

.image-progress {
    position: absolute;
    top: calc(70vw / 4* .95 / 1.5);
    height: 0.5em;
    transform: translateY(-100%);
    background: var(--el-color-primary);
    transition: width .2s;
    z-index: 1;
}